Subject: Re: linux-next: Tree for May 3

From: <[email-masked]>
Date: Mon, 9 May 2022 14:39:12 +0000

On 09/05/2022 15:11, Christoph Hellwig wrote:
> EXTERNAL EMAIL: Do not click links or open attachments unless you know the content is safe
> 
> On Mon, May 09, 2022 at 01:33:07PM +0000, [email-masked] wrote:
>> @Christoph, I know /nothing/ about swiotlb, so if you have any
>> suggestions for debugging that you would like me to try, let me
>> know please.
> 
> Hi Conor,
> 
> sorry for dropping this on the flor.  I was at LSF/MM least week and
> my plan to go through my backlog today didn't go to plan as I unepectedly
> spent half the day at doctors appointments.

Ye, no worries. Such is life.

> The commit looks like a somewhat unusual culprit for a boot failure,
> so any chance you could do another manual verifiation pass where
> you checkout 6424e31b1c05 and then the commit before it (i.e. as
> git checkout 6424e31b1c05^) to make sure it really is this commits?

I reverted that commit & that was sufficient to boot again. I'll give
that a go, but it might be tomorrow morning before I get there.

> Some of the commits around it just seems like more likely culprits to
> me, so I'd like to really be 100% sure here.  In the meantime I'll
> look through the patch.

Sure, I can have a poke around the commits in that area some more.

> Also you don't happen to have earlycon support
> on this plaform to see if there are any interesting messages on the
> serial console?

Aye, I should've done that in the beginning... I'll let you know.

Thanks,
Conor.